Problem mit powersave

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
Tux-Manni
Member
Member
Beiträge: 172
Registriert: 12. Jun 2004, 18:46
Wohnort: Ludwigsburg

Problem mit powersave

Beitrag von Tux-Manni » 20. Jan 2006, 21:14

Hallo
Vor kurzem gab es einen Update für powersave von Packman.
Allerdings verursacht dieses Paket wohl Probleme mit meinen Laptop Zusatzbuttons (z.Zt. noch eine Vermutung).
Leider kann ich nicht ohne weiteres wieder downgraden.
powersave von packman benötigte noch powersave-libs.
Will ich diese entfernen, gibts jede Menge Abhängigkeiten.
linux:/home/manfred # apt policy powersave powersave-libs
powersave:
Installiert: 0.11.5-1.pm.1
Kandidat: 0.11.5-1.pm.1
Versionstabelle:
*** 0.11.5-1.pm.1 0
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/packman pkglist
100 RPM Database
0.10.15.2-0.1 0
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/update pkglist
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/security pkglist
0.10.15.1-0.1 0
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/update pkglist
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/security pkglist
0.10.15-5 0
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/base pkglist
powersave-libs:
Installiert: 0.11.5-1.pm.1
Kandidat: 0.11.5-1.pm.1
Versionstabelle:
*** 0.11.5-1.pm.1 0
500 ftp://ftp4.gwdg.de SuSE/10.0-i386/packman pkglist
100 RPM Database
----------------------------------------------------------------
linux:/home/manfred # apt install powersave=0.10.15.2-0.1
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
Die folgenden Pakete werden DOWNGRADED:
powersave
0 upgraded, 0 newly installed, 1 downgegradet, 0 entfernt und 0 nicht upgegradet.
Muss 0B/389kB an Archiven holen.
Nach dem Auspacken werden 7030B zusätzlicher Plattenplatz benutzt werden.
Wollen Sie fortsetzen? [J/n] j
Committing changes...
Preparing... ########################################### [100%]
file /usr/lib/libpowersave.so from install of powersave-0.10.15.2-0.1 conflicts with file from package powersave-libs-0.11.5-1.pm.1
file /usr/lib/libpowersave.so.10 from install of powersave-0.10.15.2-0.1 conflicts with file from package powersave-libs-0.11.5-1.pm.1
file /usr/lib/libpowersave_dbus.so from install of powersave-0.10.15.2-0.1 conflicts with file from package powersave-libs-0.11.5-1.pm.1
file /usr/lib/libpowersave_dbus.so.10 from install of powersave-0.10.15.2-0.1 conflicts with file from package powersave-libs-0.11.5-1.pm.1
E: Error while running transaction
E: Handler silently failed
------------------------------------------------------------------------
linux:/home/manfred # apt remove powersave-libs
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
Die folgenden zusätzlichen Pakete werden installiert werden:
apache2 apache2-worker libapr0
Die folgenden Pakete werden ENTFERNT:
amarok amarok-arts amarok-xine kdeaddons3-kate kdeaddons3-konqueror kdebase3
kdebase3-SuSE kdebase3-nsplugin kdebase3-session kdenetwork3-wireless kim-de
kim-plugins-de kpowersave powersave powersave-libs
Die folgenden NEUEN Pakete werden installiert werden:
apache2 apache2-worker libapr0
0 upgraded, 3 newly installed, 15 entfernt und 0 nicht upgegradet.
Muss 1607kB an Archiven holen.
Nach dem Auspacken werden 79,5MB Plattenplatz freigegeben werden.
Wollen Sie fortsetzen? [J/n] n
Abgebrochen.

Wie kann ich das lösen??
Gruß Manni
Suse 10 / KDE 3.5.1 Level "a"
Kernel 2.6.13-15.8-default
xorg 6.9.0-3.1
Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050920 Firefox/1.0.7 SUSE/1.0.7-0.1

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 20. Jan 2006, 21:38

Code: Alles auswählen

apt install powersave=0.10.15.2-0.1 powersave-libs-
oder zuerst mit rpm -e --nodeps powersave-libs loswerden und dann downgraden.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Benutzeravatar
Tux-Manni
Member
Member
Beiträge: 172
Registriert: 12. Jun 2004, 18:46
Wohnort: Ludwigsburg

Beitrag von Tux-Manni » 20. Jan 2006, 22:29

Hallo
apt install powersave=0.10.15.2-0.1 powersave-libs-
Danke, hat geklappt. Allerdings ist mein eigentliches Problem dadurch nicht gelöst. So ein Sch....?!
Lags also nicht an dem Packman Paket.

Gruß Manni
Suse 10 / KDE 3.5.1 Level "a"
Kernel 2.6.13-15.8-default
xorg 6.9.0-3.1
Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050920 Firefox/1.0.7 SUSE/1.0.7-0.1

Benutzeravatar
WPosche
Member
Member
Beiträge: 200
Registriert: 21. Jan 2005, 19:41

Beitrag von WPosche » 28. Jan 2006, 04:28

Das erste Mal, dass ich mit der Anzeige Probleme habe. Habe auch bei packman geupdatet. Jetzt hat er mir gerade eine Warnung angezeigt, dass der Akku gleich leer sei und gleichzeitig gesagt, noch knapp 1 Stunde 20 Minuten seien übrig, oder 63% geladen... Irgendwas scheint mit dem Paket zumindest nicht in Ordnung zu sein...
openSUSE 11.0
KDE 4.1

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste